Bug 1480456 - Upgrade fails with Validation failed: Providers is invalid
Upgrade fails with Validation failed: Providers is invalid
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Upgrades (Show other bugs)
6.2.10
Unspecified Unspecified
unspecified Severity high (vote)
: 6.2.15
: --
Assigned To: Lukas Zapletal
Jitendra Yejare
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-11 03:39 EDT by Lukas Zapletal
Modified: 2018-02-21 11:54 EST (History)
8 users (show)

See Also:
Fixed In Version: rubygem-katello-3.4.5
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 11:54:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20558 None None None 2017-08-11 04:00 EDT

  None (edit)
Description Lukas Zapletal 2017-08-11 03:39:18 EDT
A customer is hitting "ActiveRecord::RecordInvalid: Validation failed: Providers is invalid" during "db/seeds.d/102-organizations.rb". Futher investigation reveals that create_anonymous_provider is called when there is already anonymous provider present. They had anonymous but not redhat, perhaps they run into issues during migration or script during their upgrade.

We don't know how this happened, but this is not important. What's important that the 102-organizations.rb seed script is supposed to be idempotent, there is a big banner at the top, but these lines are definitely not idempotent. My patch will fix that.

Patch upstream is small (two lines in seed script) therefore I suggest to backport this into 6.2 for better upgrade experience. Setting high severity as this is an upgrade issue.
Comment 2 pm-sat@redhat.com 2017-08-11 06:01:26 EDT
Upstream bug assigned to lzap@redhat.com
Comment 3 pm-sat@redhat.com 2017-08-11 06:01:29 EDT
Upstream bug assigned to lzap@redhat.com
Comment 5 pm-sat@redhat.com 2017-08-25 18:19:15 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20558 has been resolved.
Comment 7 Jitendra Yejare 2017-12-12 04:57:19 EST
Verified !

@ Satellite 6.3 snap 28
@ Satellite 6.2.13 snap 2


I cannot create anonymous provider as the customer has created but As per standard procedure to upgrade satellite 6.1 to 6.2 and 6.2 to 6.3 are successful in the latest snaps(as stated above).


Hence changing the state to Verified.
Comment 9 pm-sat@redhat.com 2018-02-21 11:54:37 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.